summaryrefslogtreecommitdiffstats
path: root/deps/noto-cjk-font-ttf/noto-cjk-font-ttf.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'deps/noto-cjk-font-ttf/noto-cjk-font-ttf.SlackBuild')
-rwxr-xr-xdeps/noto-cjk-font-ttf/noto-cjk-font-ttf.SlackBuild80
1 files changed, 80 insertions, 0 deletions
diff --git a/deps/noto-cjk-font-ttf/noto-cjk-font-ttf.SlackBuild b/deps/noto-cjk-font-ttf/noto-cjk-font-ttf.SlackBuild
new file mode 100755
index 0000000..a3a761c
--- /dev/null
+++ b/deps/noto-cjk-font-ttf/noto-cjk-font-ttf.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Copyright 2015 Eric Hameleers, Eindhoven, NL
+# Copyright 2015 Patrick J. Volkerding, Sebeka, MN USA
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+# -----------------------------------------------------------------------------
+
+
+PRGNAM=noto-cjk-font-ttf
+SRCNAM=NotoSansCJK
+VERSION=${VERSION:-"1.004"}
+ARCH=noarch
+BUILD=${BUILD:-1}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PRGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+FONTDIR="/usr/share/fonts/TTF"
+mkdir -p $PKG$FONTDIR
+
+# Unzip the ZIP file with the Super OTC font:
+unzip $CWD/${SRCNAM}.ttc.zip -d $PKG$FONTDIR || exit 1
+chown -R root:root $PKG$FONTDIR
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Post-install script:
+mkdir -p $PKG/install
+cat << EOT > $PKG/install/doinst.sh
+# Update X font indexes and the font cache:
+if [ -x usr/bin/mkfontdir ]; then
+ chroot . /usr/bin/mkfontscale $FONTDIR
+ chroot . /usr/bin/mkfontdir $FONTDIR
+fi
+if [ -x usr/bin/fc-cache ]; then
+ chroot . /usr/bin/fc-cache $FONTDIR
+fi
+EOT
+
+# Add documentation:
+# Files downloaded from https://github.com/googlei18n/noto-cjk
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ $CWD/HISTORY $CWD/LICENSE $CWD/NEWS $CWD/README* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
+
+# Add a package description:
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.txz
+